# aio.ProxyObject

class dbus_fast.aio.ProxyObject(bus_name: str, path: str, introspection: Node | str | Element, bus: BaseMessageBus)

  Bases: `BaseProxyObject`

  The proxy object implementation for the GLib `MessageBus`.

  For more information, see the `BaseProxyObject`.

  get_children() → list[ProxyObject]

    Get the child nodes of this proxy object according to the introspection data.

  get_interface(name: str) → ProxyInterface

    Get an interface exported on this proxy object and connect it to the bus.

    Parameters:

      name (str) – The name of the interface to retrieve.

    Raises:

      - `InterfaceNotFoundError` - If there is no interface by this name exported on the bus.